org.apache.ignite.internal.processors.cache

## Class GridCacheReturnCompletableWrapper

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheReturnCompletableWrapper

    public class GridCacheReturnCompletableWrapper
    extends Object

Provides initialized GridCacheReturn.

### Constructor Summary

Constructors
Constructor and Description
`GridCacheReturnCompletableWrapper(UUID nodeId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`IgniteInternalFuture<GridCacheReturn>` `fut()` Allows wait for properly initialized value.
`void` `initialize(GridCacheReturn ret)` Marks as initialized.
`@Nullable UUID` `nodeId()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridCacheReturnCompletableWrapper

    public GridCacheReturnCompletableWrapper(UUID nodeId)

Parameters:
  `nodeId` - Node id.

### Method Detail

#### nodeId

    @Nullable
    public @Nullable UUID nodeId()

Returns:
  ID of node initiated tx or `null` if this node is local.

#### initialize

    public void initialize(GridCacheReturn ret)

Marks as initialized.

Parameters:
  `ret` - Return.

#### fut

    public IgniteInternalFuture<GridCacheReturn> fut()

Allows wait for properly initialized value.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023